Description

I was trying to import a vector into Postgis using "Import vector into POSTGIS (available connections and new connection)" (OGR

Miscellaneous) and got these kinds of errors which, I think, are caused by one of the fields having high precision.

ERROR 1: COPY statement failed.

ERROR:  numeric field overflow

DETAIL:  A field with precision 19, scale 15 must round to an absolute value less than 10^4.

CONTEXT:  COPY teste1, line 58, column perimeter: "15814.399999999999636"

If I uncheck "Keep width and precision of input attributes" it works.

I would suggest add a note on this to the help file

History

#1 - 2017-05-01 12:46 AM - Giovanni Manghi

- Easy fix? set to No

#2 - 2018-02-02 09:05 AM - Alexander Bruy

- Resolution set to invalid

- Status changed from Open to Closed

- Category changed from Processing/GDAL to Documentation and Help

- Description updated

Please file ticket in the QGIS documentation bugtracker.

#3 - 2018-02-02 09:41 AM - Harrissou Santanna

I'm not sure it's worth documentation: the error message says that you are trying to put 15814.xxxx in a field that you design to not take a value higher than

9999.xxxx

It's a normal behavior of data storage, nothing specific to this algorithm imho.
